Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

libraryId
string
required

The ID of the library

classId
string
required

The ID of the document class

Query Parameters

remove
boolean
default:false
domain
string

The G Suite domain

Response

200 - application/json

A ApiClassField response

appMetadata
object

App Metadata let developers associate metadata with various configuration entities. The metadata is isolated within app namespaces in order to prevent one application from interfering with another's metadata.

calculatedSettings
object

The configuration of calculated settings (mandatory/hidden)

calculatedValue
object
categoryDefinition
object
categoryId
string

The ID of the category (if type = CATEGORY) - (deprecated, read-only)

categoryValueMapping
object
columns
object[]

The column properties of the field (only if this field is a table type field)

creationSettings
object
customPlaceholder
boolean

Whether to use a custom placeholder when displaying the field in the UI

description
string

The description of the field

displayInPreview
object

The display in preview configuration of the field

displayName
string

The name of the field

dynamicValues
boolean
folder
boolean
hidden
boolean

Whether the field should be hidden for the whole life-cycle of documents of the class

id
string

The ID of the field (read-only field)

kind
string
levelNames
string[]
lookupConfiguration
object
mandatory
boolean

Whether the field should be mandatory for the whole life-cycle of documents of the class (not compatible for all field types)

mappingSourceField
object
multiple
boolean

Whether the field should be multi-valued (not compatible for all field types)

placeholderText
string

The placeholder text if customPlaceholder = true

rank
integer<int32>

The rank of the field in the list (deprecated)

readOnly
boolean

Whether the field should be read-only for the whole life-cycle of documents of the class (not compatible for all field types)

referenceCatalog
object
referenceCatalogId
string

The ID of the reference catalog (if type = REFERENCE_CATALOG)

type
enum<string>

The type of field (STRING, TEXT, DATE, TIME, DATETIME, INTEGER, DECIMAL, BOOLEAN, PERSON, GEOPOINT, URL, CATEGORY, REFERENCE_CATALOG, TABLE)

Available options:
STRING,
TEXT,
DATE,
TIME,
DATETIME,
INTEGER,
FILESIZE,
DECIMAL,
BOOLEAN,
PERSON,
CATEGORY,
GEOPOINT,
URL,
REFERENCE_CATALOG,
MIMETYPEGROUP,
CLASS,
FOLDER,
STATE,
OSS_ATTACHMENT,
DRIVE_ATTACHMENT,
TABLE
validation
object